import { Component,Inject } from '@angular/core';
import * as wjCore from "wijmo/wijmo";


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})

export class AppComponent {
  title = 'app';
  data:wjCore.CollectionView;
  filterColumns=['id','sales']
  constructor(){
    this.data= new wjCore.CollectionView(this.getData(100));
  }
  getData(count:number){
    let countries="US,UK,Japan,China,India,Korea,Italy,Greece,Germany".split(","),
    data=[];
    for(let i=0;i<count;i++){
      data.push({
        id:i,
        country:countries[i%countries.length],
        sales:Math.random()*1000,
        downloads:Math.random()*1000
      })
    }
    return data;
  }
}
